Subject: Re: Progress draft-ietf-mpls-bfd-directed

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 10 Sep 2019 20:14:41 +0000

Hello, Greg,

Although there is no question in your message, let me reply with a different perspective.

I find the creation of an Operational Considerations self-contained section to be a misguided approach, since this whole document should largely concern itself with operational considerations.

The main issue with this document is that it attempts to apply constructs (specifying a return path) from a command/response protocol of LSP Ping in RFC 7110, somewhat blindly to a long-lived session based protocol such as BFD. As such, there’s a protocol design mismatch that cannot be simply patched with a prose section.

In RFC 7110, a actual packet specifies the return path for the response to itself. Processing the return path and sending the return packet happen consecutively. In draft-ietf-mpls-bfd-directed, an initial handshake (plus now low-frequency ping overhead) defines the return path for all packets in a session. In my opinion that still breaks.

For example, technical discussion: there are cases in which utilizing this approach will provide for a worst detection than not using it. For example when there’s a blackhole in the specified return path, or when the return path disappears. These considerations are not studied or covered.

However, perhaps there’s implementations of this that can speak to its robustness. Do you think you could add an “Implementation Status” section if there’s an update of this document, to see what’s been learned from development, implementation, and deployment?

Many thanks for reading thus far and for your consideration.

Thanks!

Carlos.

On Aug 25, 2019, at 6:22 PM, Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:

Dear All,
in the new section, Operational Considerations<https://tools.ietf.org/html/draft-ietf-mpls-bfd-directed-12#section-5>, we've described the use of LSP Ping with BFD Reverse Path TLV is described for scenarios of planned and unexpected changes of the FEC to which the reverse direction of a BFD session is tied. We believe that with this update all outstanding technical comments have been addressed.

Regards,
Geg

On Wed, Aug 21, 2019 at 2:12 PM Greg Mirsky <[email-masked]<mailto:[email-masked]>> wrote:
Hi Mach, et al.,
again, thank you for organizing the discussion. I've searched through my mailbox and the most recent comments went only to MPLS and BFD WGs chairs, not in WGs archives. Perhaps the discussion thread can still be found as "Status of draft-ietf-mpls-bfd-directed".
In response to Carlos questions, in the new update of the draft<https://datatracker.ietf.org/doc/draft-ietf-mpls-bfd-directed/>, we've added the new section, Operational Considerations. There the use of LSP Ping with BFD Reverse Path TLV is described for scenarios of planned and unexpected changes of the FEC to which the reverse direction of a BFD session is tied.
I think that addresses all the outstanding comments.

Regards,
Greg

On Tue, Jul 16, 2019 at 7:49 PM Mach Chen <[email-masked]<mailto:[email-masked]>> wrote:
Dear Colleagues,

The MPLS BFD directed draft (https://tools.ietf.org/html/draft-ietf-mpls-bfd-directed-11 ) has been there for a long time. There were quite a lot of discussions between Greg and Carlos. The draft has been updated several time to address Carlos's comment. Seems there still are some unaddressed comments. Can we find a time during the Montreal meeting to discuss the unaddressed comments? And hopefully we could find a way to progress the draft.

Since this draft is related to both MPLS and BFD, both working group chairs are welcome to join the discussion.

See you in Montreal!

Best regards,
Mach